| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IViewContainer Class Referenceabstract
AAX SDK Manual » Core AAX Interface » GUI interface

`#include <AAX_IViewContainer.h>`

Inheritance diagram for AAX_IViewContainer:
[legend]

## Description

Interface for the AAX host's view of a single instance of an effect. Used both by clients of the AAX host and by effect components.

:Implemented by the AAX Host:

## Public Member Functions
virtual | ~AAX_IViewContainer (void)
View and GUI state queries
virtual int32_t | GetType ()=0
| Returns the raw view type as one of AAX_EViewContainer_Type.
virtual void * | GetPtr ()=0
| Returns a pointer to the raw view.
virtual AAX_Result | GetModifiers (uint32_t *outModifiers)=0
| Queries the host for the current modifier keys.
View change requests
virtual AAX_Result | SetViewSize (AAX_Point &inSize)=0
| Request a change to the main view size.
Host event handlers
These methods are used to pass plug-in GUI events to the host for handling. Events should always be passed on in this way when there is a possibility of the host overriding the event with its own behavior. For example, in Pro Tools a command-control-option-click on any automatable plug-in parameter editor should bring up that parameter's automation pop-up menu, and a control-right click should display the parameter's automation lane in the Pro Tools Edit window. In order for Pro Tools to handle these events, the plug-in must pass them on using HandleParameterMouseDown() For each of these methods: AAX_SUCCESS is returned if the event was successfully handled by the host. In most cases, no further action will be required from the plug-in after the host successfully handles an event. AAX_ERROR_UNIMPLEMENTED is returned if the event was not handled by the host. In this case, the plug-in should perform its own event handling.
virtual AAX_Result | HandleParameterMouseDown (AAX_CParamID inParamID, uint32_t inModifiers)=0
| Alert the host to a mouse down event.
virtual AAX_Result | HandleParameterMouseDrag (AAX_CParamID inParamID, uint32_t inModifiers)=0
| Alert the host to a mouse drag event.
virtual AAX_Result | HandleParameterMouseUp (AAX_CParamID inParamID, uint32_t inModifiers)=0
| Alert the host to a mouse up event.
virtual AAX_Result | HandleParameterMouseEnter (AAX_CParamID inParamID, uint32_t inModifiers)=0
| Alert the host to a mouse enter event to the parameter's control.
virtual AAX_Result | HandleParameterMouseExit (AAX_CParamID inParamID, uint32_t inModifiers)=0
| Alert the host to a mouse exit event from the parameter's control.
virtual AAX_Result | HandleMultipleParametersMouseDown (const AAX_CParamID *inParamIDs, uint32_t inNumOfParams, uint32_t inModifiers)=0
| Alert the host to a mouse down event.
virtual AAX_Result | HandleMultipleParametersMouseDrag (const AAX_CParamID *inParamIDs, uint32_t inNumOfParams, uint32_t inModifiers)=0
| Alert the host to a mouse drag event.
virtual AAX_Result | HandleMultipleParametersMouseUp (const AAX_CParamID *inParamIDs, uint32_t inNumOfParams, uint32_t inModifiers)=0
| Alert the host to a mouse up event.

## Constructor & Destructor Documentation

## ◆ ~AAX_IViewContainer()

virtual AAX_IViewContainer::~AAX_IViewContainer | ( | void |  | ) |
| inline virtual

## Member Function Documentation

## ◆ GetType()

virtual int32_t AAX_IViewContainer::GetType | ( |  | ) |
| pure virtual

Returns the raw view type as one of AAX_EViewContainer_Type.

Implemented in AAX_VViewContainer.

## ◆ GetPtr()

virtual void * AAX_IViewContainer::GetPtr | ( |  | ) |
| pure virtual

Returns a pointer to the raw view.

Implemented in AAX_VViewContainer.

## ◆ GetModifiers()

virtual AAX_Result AAX_IViewContainer::GetModifiers | ( | uint32_t * | outModifiers | ) |
| pure virtual

Queries the host for the current modifier keys.

This method returns a bit mask with bits set for each of the currently active modifier keys. This method does not return the state of the AAX_eModifiers_SecondaryButton.

Host Compatibility Notes:
  Although this method allows plug-ins to acquire the current state of the Windows key (normally blocked by Pro Tools), plug-ins should not use key combinations that require this key.

Parameters

  [out] | outModifiers | Current modifiers as a bitmask of AAX_EModifiers

Implemented in AAX_VViewContainer.

## ◆ SetViewSize()

virtual AAX_Result AAX_IViewContainer::SetViewSize | ( | AAX_Point & | inSize | ) |
| pure virtual

Request a change to the main view size.

Note
  - For compatibility with the smallest supported displays, plug-in GUI dimensions should not exceed 749x617 pixels, or 749x565 pixels for plug-ins with sidechain support.

Parameters

  [in] | inSize | The new size to which the plug-in view should be set

Implemented in AAX_VViewContainer.

## ◆ HandleParameterMouseDown()

virtual AAX_Result AAX_IViewContainer::HandleParameterMouseDown | ( | AAX_CParamID | inParamID,
|  | uint32_t | inModifiers
| ) |  |
| pure virtual

Alert the host to a mouse down event.

Parameters

  [in] | inParamID | ID of the parameter whose control is being edited
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Implemented in AAX_VViewContainer.

## ◆ HandleParameterMouseDrag()

virtual AAX_Result AAX_IViewContainer::HandleParameterMouseDrag | ( | AAX_CParamID | inParamID,
|  | uint32_t | inModifiers
| ) |  |
| pure virtual

Alert the host to a mouse drag event.

Warning
  The host may return AAX_ERROR_UNIMPLEMENTED for this event even if the host did handle the corresponding mouse down event. A plug-in should ignore any following mouse drag and mouse up events that correspond to a host-managed mouse down event. (PTSW-195209 / PT-218474)

Parameters

  [in] | inParamID | ID of the parameter whose control is being edited
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Implemented in AAX_VViewContainer.

## ◆ HandleParameterMouseUp()

virtual AAX_Result AAX_IViewContainer::HandleParameterMouseUp | ( | AAX_CParamID | inParamID,
|  | uint32_t | inModifiers
| ) |  |
| pure virtual

Alert the host to a mouse up event.

Warning
  The host may return AAX_ERROR_UNIMPLEMENTED for this event even if the host did handle the corresponding mouse down event. A plug-in should ignore any following mouse drag and mouse up events that correspond to a host-managed mouse down event. (PTSW-195209 / PT-218474)

Parameters

  [in] | inParamID | ID of the parameter whose control is being edited
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Implemented in AAX_VViewContainer.

## ◆ HandleParameterMouseEnter()

virtual AAX_Result AAX_IViewContainer::HandleParameterMouseEnter | ( | AAX_CParamID | inParamID,
|  | uint32_t | inModifiers
| ) |  |
| pure virtual

Alert the host to a mouse enter event to the parameter's control.

Parameters

  [in] | inParamID | ID of the parameter whose control is being entered
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Returns AAX_SUCCESS if event was processed successfully, otherwise an AAX_ERROR code

Implemented in AAX_VViewContainer.

## ◆ HandleParameterMouseExit()

virtual AAX_Result AAX_IViewContainer::HandleParameterMouseExit | ( | AAX_CParamID | inParamID,
|  | uint32_t | inModifiers
| ) |  |
| pure virtual

Alert the host to a mouse exit event from the parameter's control.

Parameters

  [in] | inParamID | ID of the parameter whose control is being exited
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Returns AAX_SUCCESS if event was processed successfully, otherwise an AAX_ERROR code

Implemented in AAX_VViewContainer.

## ◆ HandleMultipleParametersMouseDown()

virtual AAX_Result AAX_IViewContainer::HandleMultipleParametersMouseDown | ( | const AAX_CParamID * | inParamIDs,
|  | uint32_t | inNumOfParams,
|  | uint32_t | inModifiers
| ) |  |
| pure virtual

Alert the host to a mouse down event.

Parameters

  [in] | inParamIDs | IDs of the parameters that belong to the same GUI element whose controls are being edited
  [in] | inNumOfParams | Number of parameter IDS
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Implemented in AAX_VViewContainer.

## ◆ HandleMultipleParametersMouseDrag()

virtual AAX_Result AAX_IViewContainer::HandleMultipleParametersMouseDrag | ( | const AAX_CParamID * | inParamIDs,
|  | uint32_t | inNumOfParams,
|  | uint32_t | inModifiers
| ) |  |
| pure virtual

Alert the host to a mouse drag event.

Warning
  The host may return AAX_ERROR_UNIMPLEMENTED for this event even if the host did handle the corresponding mouse down event. A plug-in should ignore any following mouse drag and mouse up events that correspond to a host-managed mouse down event. (PTSW-195209 / PT-218474)

Parameters

  [in] | inParamIDs | IDs of the parameters that belong to the same GUI element whose controls are being edited
  [in] | inNumOfParams | Number of parameter IDS
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Implemented in AAX_VViewContainer.

## ◆ HandleMultipleParametersMouseUp()

virtual AAX_Result AAX_IViewContainer::HandleMultipleParametersMouseUp | ( | const AAX_CParamID * | inParamIDs,
|  | uint32_t | inNumOfParams,
|  | uint32_t | inModifiers
| ) |  |
| pure virtual

Alert the host to a mouse up event.

Warning
  The host may return AAX_ERROR_UNIMPLEMENTED for this event even if the host did handle the corresponding mouse down event. A plug-in should ignore any following mouse drag and mouse up events that correspond to a host-managed mouse down event. (PTSW-195209 / PT-218474)

Parameters

  [in] | inParamIDs | IDs of the parameters that belong to the same GUI element whose controls are being edited
  [in] | inNumOfParams | Number of parameter IDS
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Implemented in AAX_VViewContainer.

The documentation for this class was generated from the following file:

- AAX_IViewContainer.h